unit schEDIInventaryClient_Intf;

interface

uses
  Classes, DB, SysUtils, uROClasses, uDADataTable;

const
  { Data table rules ids
       Feel free to change them to something more human readable
       but make sure they are unique in the context of your application }
  RID_RDX_CANTINV = '{D890DD46-1103-4942-83FC-8BE8479D1101}';
  RID_RDX_LININV = '{B0D6E128-0438-4CA2-81F9-0893BE9A9A21}';
  RID_RDX_CABINV = '{21FBA86D-243E-4A6E-AC7D-DB040E6AA070}';

  { Data table names }
  nme_RDX_CANTINV = 'RDX_CANTINV';
  nme_RDX_LININV = 'RDX_LININV';
  nme_RDX_CABINV = 'RDX_CABINV';

  { RDX_CANTINV fields }
  fld_RDX_CANTINVNUMDOC = 'NUMDOC';
  fld_RDX_CANTINVNUMLIN = 'NUMLIN';
  fld_RDX_CANTINVNUMCANT = 'NUMCANT';
  fld_RDX_CANTINVTIPOCANT = 'TIPOCANT';
  fld_RDX_CANTINVCANTIDAD = 'CANTIDAD';
  fld_RDX_CANTINVCENTRO = 'CENTRO';
  fld_RDX_CANTINVTMOV = 'TMOV';
  fld_RDX_CANTINVFACT = 'FACT';
  fld_RDX_CANTINVDEPTO = 'DEPTO';
  fld_RDX_CANTINVIDVEN = 'IDVEN';

  { RDX_CANTINV field indexes }
  idx_RDX_CANTINVNUMDOC = 0;
  idx_RDX_CANTINVNUMLIN = 1;
  idx_RDX_CANTINVNUMCANT = 2;
  idx_RDX_CANTINVTIPOCANT = 3;
  idx_RDX_CANTINVCANTIDAD = 4;
  idx_RDX_CANTINVCENTRO = 5;
  idx_RDX_CANTINVTMOV = 6;
  idx_RDX_CANTINVFACT = 7;
  idx_RDX_CANTINVDEPTO = 8;
  idx_RDX_CANTINVIDVEN = 9;

  { RDX_LININV fields }
  fld_RDX_LININVNUMDOC = 'NUMDOC';
  fld_RDX_LININVNUMLIN = 'NUMLIN';
  fld_RDX_LININVCODART = 'CODART';
  fld_RDX_LININVFAMILIA = 'FAMILIA';
  fld_RDX_LININVBARRA = 'BARRA';
  fld_RDX_LININVTALLA = 'TALLA';
  fld_RDX_LININVMARCA = 'MARCA';
  fld_RDX_LININVTAMANO = 'TAMANO';
  fld_RDX_LININVSERIE = 'SERIE';
  fld_RDX_LININVCOLOR = 'COLOR';
  fld_RDX_LININVMODELO = 'MODELO';
  fld_RDX_LININVDIBUJO = 'DIBUJO';
  fld_RDX_LININVDESCRIP = 'DESCRIP';

  { RDX_LININV field indexes }
  idx_RDX_LININVNUMDOC = 0;
  idx_RDX_LININVNUMLIN = 1;
  idx_RDX_LININVCODART = 2;
  idx_RDX_LININVFAMILIA = 3;
  idx_RDX_LININVBARRA = 4;
  idx_RDX_LININVTALLA = 5;
  idx_RDX_LININVMARCA = 6;
  idx_RDX_LININVTAMANO = 7;
  idx_RDX_LININVSERIE = 8;
  idx_RDX_LININVCOLOR = 9;
  idx_RDX_LININVMODELO = 10;
  idx_RDX_LININVDIBUJO = 11;
  idx_RDX_LININVDESCRIP = 12;

  { RDX_CABINV fields }
  fld_RDX_CABINVNUMDOC = 'NUMDOC';
  fld_RDX_CABINVTIPODOC = 'TIPODOC';
  fld_RDX_CABINVTIPOLIQ = 'TIPOLIQ';
  fld_RDX_CABINVFECHA = 'FECHA';
  fld_RDX_CABINVFECHALIQ = 'FECHALIQ';
  fld_RDX_CABINVEMISOR = 'EMISOR';
  fld_RDX_CABINVRECEPTOR = 'RECEPTOR';
  fld_RDX_CABINVDPTO = 'DPTO';
  fld_RDX_CABINVCENTRO = 'CENTRO';
  fld_RDX_CABINVFECHA_CARGA = 'FECHA_CARGA';

  { RDX_CABINV field indexes }
  idx_RDX_CABINVNUMDOC = 0;
  idx_RDX_CABINVTIPODOC = 1;
  idx_RDX_CABINVTIPOLIQ = 2;
  idx_RDX_CABINVFECHA = 3;
  idx_RDX_CABINVFECHALIQ = 4;
  idx_RDX_CABINVEMISOR = 5;
  idx_RDX_CABINVRECEPTOR = 6;
  idx_RDX_CABINVDPTO = 7;
  idx_RDX_CABINVCENTRO = 8;
  idx_RDX_CABINVFECHA_CARGA = 9;

type
  { IRDX_CANTINV }
  IRDX_CANTINV = interface(IDAStronglyTypedDataTable)
  ['{2D19DA25-B122-468C-BB44-9B28F4025A0B}']
    { Property getters and setters }
    function GetNUMDOCValue: String;
    procedure SetNUMDOCValue(const aValue: String);
    function GetNUMLINValue: Float;
    procedure SetNUMLINValue(const aValue: Float);
    function GetNUMCANTValue: Float;
    procedure SetNUMCANTValue(const aValue: Float);
    function GetTIPOCANTValue: String;
    procedure SetTIPOCANTValue(const aValue: String);
    function GetCANTIDADValue: Float;
    procedure SetCANTIDADValue(const aValue: Float);
    function GetCENTROValue: String;
    procedure SetCENTROValue(const aValue: String);
    function GetTMOVValue: String;
    procedure SetTMOVValue(const aValue: String);
    function GetFACTValue: String;
    procedure SetFACTValue(const aValue: String);
    function GetDEPTOValue: String;
    procedure SetDEPTOValue(const aValue: String);
    function GetIDVENValue: String;
    procedure SetIDVENValue(const aValue: String);


    { Properties }
    property NUMDOC: String read GetNUMDOCValue write SetNUMDOCValue;
    property NUMLIN: Float read GetNUMLINValue write SetNUMLINValue;
    property NUMCANT: Float read GetNUMCANTValue write SetNUMCANTValue;
    property TIPOCANT: String read GetTIPOCANTValue write SetTIPOCANTValue;
    property CANTIDAD: Float read GetCANTIDADValue write SetCANTIDADValue;
    property CENTRO: String read GetCENTROValue write SetCENTROValue;
    property TMOV: String read GetTMOVValue write SetTMOVValue;
    property FACT: String read GetFACTValue write SetFACTValue;
    property DEPTO: String read GetDEPTOValue write SetDEPTOValue;
    property IDVEN: String read GetIDVENValue write SetIDVENValue;
  end;

  { TRDX_CANTINVDataTableRules }
  TRDX_CANTINVDataTableRules = class(TDADataTableRules, IRDX_CANTINV)
  private
  protected
    { Property getters and setters }
    function GetNUMDOCValue: String; virtual;
    procedure SetNUMDOCValue(const aValue: String); virtual;
    function GetNUMLINValue: Float; virtual;
    procedure SetNUMLINValue(const aValue: Float); virtual;
    function GetNUMCANTValue: Float; virtual;
    procedure SetNUMCANTValue(const aValue: Float); virtual;
    function GetTIPOCANTValue: String; virtual;
    procedure SetTIPOCANTValue(const aValue: String); virtual;
    function GetCANTIDADValue: Float; virtual;
    procedure SetCANTIDADValue(const aValue: Float); virtual;
    function GetCENTROValue: String; virtual;
    procedure SetCENTROValue(const aValue: String); virtual;
    function GetTMOVValue: String; virtual;
    procedure SetTMOVValue(const aValue: String); virtual;
    function GetFACTValue: String; virtual;
    procedure SetFACTValue(const aValue: String); virtual;
    function GetDEPTOValue: String; virtual;
    procedure SetDEPTOValue(const aValue: String); virtual;
    function GetIDVENValue: String; virtual;
    procedure SetIDVENValue(const aValue: String); virtual;

    { Properties }
    property NUMDOC: String read GetNUMDOCValue write SetNUMDOCValue;
    property NUMLIN: Float read GetNUMLINValue write SetNUMLINValue;
    property NUMCANT: Float read GetNUMCANTValue write SetNUMCANTValue;
    property TIPOCANT: String read GetTIPOCANTValue write SetTIPOCANTValue;
    property CANTIDAD: Float read GetCANTIDADValue write SetCANTIDADValue;
    property CENTRO: String read GetCENTROValue write SetCENTROValue;
    property TMOV: String read GetTMOVValue write SetTMOVValue;
    property FACT: String read GetFACTValue write SetFACTValue;
    property DEPTO: String read GetDEPTOValue write SetDEPTOValue;
    property IDVEN: String read GetIDVENValue write SetIDVENValue;

  public
    constructor Create(aDataTable: TDADataTable); override;
    destructor Destroy; override;

  end;

  { IRDX_LININV }
  IRDX_LININV = interface(IDAStronglyTypedDataTable)
  ['{7DF3D736-0E00-441C-A777-864BD96FA2A4}']
    { Property getters and setters }
    function GetNUMDOCValue: String;
    procedure SetNUMDOCValue(const aValue: String);
    function GetNUMLINValue: Float;
    procedure SetNUMLINValue(const aValue: Float);
    function GetCODARTValue: String;
    procedure SetCODARTValue(const aValue: String);
    function GetFAMILIAValue: String;
    procedure SetFAMILIAValue(const aValue: String);
    function GetBARRAValue: String;
    procedure SetBARRAValue(const aValue: String);
    function GetTALLAValue: String;
    procedure SetTALLAValue(const aValue: String);
    function GetMARCAValue: String;
    procedure SetMARCAValue(const aValue: String);
    function GetTAMANOValue: String;
    procedure SetTAMANOValue(const aValue: String);
    function GetSERIEValue: String;
    procedure SetSERIEValue(const aValue: String);
    function GetCOLORValue: String;
    procedure SetCOLORValue(const aValue: String);
    function GetMODELOValue: String;
    procedure SetMODELOValue(const aValue: String);
    function GetDIBUJOValue: String;
    procedure SetDIBUJOValue(const aValue: String);
    function GetDESCRIPValue: String;
    procedure SetDESCRIPValue(const aValue: String);


    { Properties }
    property NUMDOC: String read GetNUMDOCValue write SetNUMDOCValue;
    property NUMLIN: Float read GetNUMLINValue write SetNUMLINValue;
    property CODART: String read GetCODARTValue write SetCODARTValue;
    property FAMILIA: String read GetFAMILIAValue write SetFAMILIAValue;
    property BARRA: String read GetBARRAValue write SetBARRAValue;
    property TALLA: String read GetTALLAValue write SetTALLAValue;
    property MARCA: String read GetMARCAValue write SetMARCAValue;
    property TAMANO: String read GetTAMANOValue write SetTAMANOValue;
    property SERIE: String read GetSERIEValue write SetSERIEValue;
    property COLOR: String read GetCOLORValue write SetCOLORValue;
    property MODELO: String read GetMODELOValue write SetMODELOValue;
    property DIBUJO: String read GetDIBUJOValue write SetDIBUJOValue;
    property DESCRIP: String read GetDESCRIPValue write SetDESCRIPValue;
  end;

  { TRDX_LININVDataTableRules }
  TRDX_LININVDataTableRules = class(TDADataTableRules, IRDX_LININV)
  private
  protected
    { Property getters and setters }
    function GetNUMDOCValue: String; virtual;
    procedure SetNUMDOCValue(const aValue: String); virtual;
    function GetNUMLINValue: Float; virtual;
    procedure SetNUMLINValue(const aValue: Float); virtual;
    function GetCODARTValue: String; virtual;
    procedure SetCODARTValue(const aValue: String); virtual;
    function GetFAMILIAValue: String; virtual;
    procedure SetFAMILIAValue(const aValue: String); virtual;
    function GetBARRAValue: String; virtual;
    procedure SetBARRAValue(const aValue: String); virtual;
    function GetTALLAValue: String; virtual;
    procedure SetTALLAValue(const aValue: String); virtual;
    function GetMARCAValue: String; virtual;
    procedure SetMARCAValue(const aValue: String); virtual;
    function GetTAMANOValue: String; virtual;
    procedure SetTAMANOValue(const aValue: String); virtual;
    function GetSERIEValue: String; virtual;
    procedure SetSERIEValue(const aValue: String); virtual;
    function GetCOLORValue: String; virtual;
    procedure SetCOLORValue(const aValue: String); virtual;
    function GetMODELOValue: String; virtual;
    procedure SetMODELOValue(const aValue: String); virtual;
    function GetDIBUJOValue: String; virtual;
    procedure SetDIBUJOValue(const aValue: String); virtual;
    function GetDESCRIPValue: String; virtual;
    procedure SetDESCRIPValue(const aValue: String); virtual;

    { Properties }
    property NUMDOC: String read GetNUMDOCValue write SetNUMDOCValue;
    property NUMLIN: Float read GetNUMLINValue write SetNUMLINValue;
    property CODART: String read GetCODARTValue write SetCODARTValue;
    property FAMILIA: String read GetFAMILIAValue write SetFAMILIAValue;
    property BARRA: String read GetBARRAValue write SetBARRAValue;
    property TALLA: String read GetTALLAValue write SetTALLAValue;
    property MARCA: String read GetMARCAValue write SetMARCAValue;
    property TAMANO: String read GetTAMANOValue write SetTAMANOValue;
    property SERIE: String read GetSERIEValue write SetSERIEValue;
    property COLOR: String read GetCOLORValue write SetCOLORValue;
    property MODELO: String read GetMODELOValue write SetMODELOValue;
    property DIBUJO: String read GetDIBUJOValue write SetDIBUJOValue;
    property DESCRIP: String read GetDESCRIPValue write SetDESCRIPValue;

  public
    constructor Create(aDataTable: TDADataTable); override;
    destructor Destroy; override;

  end;

  { IRDX_CABINV }
  IRDX_CABINV = interface(IDAStronglyTypedDataTable)
  ['{4373F992-8872-4C21-BF37-CB9EB6F816CF}']
    { Property getters and setters }
    function GetNUMDOCValue: String;
    procedure SetNUMDOCValue(const aValue: String);
    function GetTIPODOCValue: String;
    procedure SetTIPODOCValue(const aValue: String);
    function GetTIPOLIQValue: String;
    procedure SetTIPOLIQValue(const aValue: String);
    function GetFECHAValue: DateTime;
    procedure SetFECHAValue(const aValue: DateTime);
    function GetFECHALIQValue: DateTime;
    procedure SetFECHALIQValue(const aValue: DateTime);
    function GetEMISORValue: String;
    procedure SetEMISORValue(const aValue: String);
    function GetRECEPTORValue: String;
    procedure SetRECEPTORValue(const aValue: String);
    function GetDPTOValue: String;
    procedure SetDPTOValue(const aValue: String);
    function GetCENTROValue: String;
    procedure SetCENTROValue(const aValue: String);
    function GetFECHA_CARGAValue: DateTime;
    procedure SetFECHA_CARGAValue(const aValue: DateTime);


    { Properties }
    property NUMDOC: String read GetNUMDOCValue write SetNUMDOCValue;
    property TIPODOC: String read GetTIPODOCValue write SetTIPODOCValue;
    property TIPOLIQ: String read GetTIPOLIQValue write SetTIPOLIQValue;
    property FECHA: DateTime read GetFECHAValue write SetFECHAValue;
    property FECHALIQ: DateTime read GetFECHALIQValue write SetFECHALIQValue;
    property EMISOR: String read GetEMISORValue write SetEMISORValue;
    property RECEPTOR: String read GetRECEPTORValue write SetRECEPTORValue;
    property DPTO: String read GetDPTOValue write SetDPTOValue;
    property CENTRO: String read GetCENTROValue write SetCENTROValue;
    property FECHA_CARGA: DateTime read GetFECHA_CARGAValue write SetFECHA_CARGAValue;
  end;

  { TRDX_CABINVDataTableRules }
  TRDX_CABINVDataTableRules = class(TDADataTableRules, IRDX_CABINV)
  private
  protected
    { Property getters and setters }
    function GetNUMDOCValue: String; virtual;
    procedure SetNUMDOCValue(const aValue: String); virtual;
    function GetTIPODOCValue: String; virtual;
    procedure SetTIPODOCValue(const aValue: String); virtual;
    function GetTIPOLIQValue: String; virtual;
    procedure SetTIPOLIQValue(const aValue: String); virtual;
    function GetFECHAValue: DateTime; virtual;
    procedure SetFECHAValue(const aValue: DateTime); virtual;
    function GetFECHALIQValue: DateTime; virtual;
    procedure SetFECHALIQValue(const aValue: DateTime); virtual;
    function GetEMISORValue: String; virtual;
    procedure SetEMISORValue(const aValue: String); virtual;
    function GetRECEPTORValue: String; virtual;
    procedure SetRECEPTORValue(const aValue: String); virtual;
    function GetDPTOValue: String; virtual;
    procedure SetDPTOValue(const aValue: String); virtual;
    function GetCENTROValue: String; virtual;
    procedure SetCENTROValue(const aValue: String); virtual;
    function GetFECHA_CARGAValue: DateTime; virtual;
    procedure SetFECHA_CARGAValue(const aValue: DateTime); virtual;

    { Properties }
    property NUMDOC: String read GetNUMDOCValue write SetNUMDOCValue;
    property TIPODOC: String read GetTIPODOCValue write SetTIPODOCValue;
    property TIPOLIQ: String read GetTIPOLIQValue write SetTIPOLIQValue;
    property FECHA: DateTime read GetFECHAValue write SetFECHAValue;
    property FECHALIQ: DateTime read GetFECHALIQValue write SetFECHALIQValue;
    property EMISOR: String read GetEMISORValue write SetEMISORValue;
    property RECEPTOR: String read GetRECEPTORValue write SetRECEPTORValue;
    property DPTO: String read GetDPTOValue write SetDPTOValue;
    property CENTRO: String read GetCENTROValue write SetCENTROValue;
    property FECHA_CARGA: DateTime read GetFECHA_CARGAValue write SetFECHA_CARGAValue;

  public
    constructor Create(aDataTable: TDADataTable); override;
    destructor Destroy; override;

  end;

implementation

uses Variants;

{ TRDX_CANTINVDataTableRules }
constructor TRDX_CANTINVDataTableRules.Create(aDataTable: TDADataTable);
begin
  inherited;
end;

destructor TRDX_CANTINVDataTableRules.Destroy;
begin
  inherited;
end;

function TRDX_CANTINVDataTableRules.GetNUMDOCValue: String;
begin
  result := DataTable.Fields[idx_RDX_CANTINVNUMDOC].AsString;
end;

procedure TRDX_CANTINVDataTableRules.SetNUMDOCValue(const aValue: String);
begin
  DataTable.Fields[idx_RDX_CANTINVNUMDOC].AsString := aValue;
end;

function TRDX_CANTINVDataTableRules.GetNUMLINValue: Float;
begin
  result := DataTable.Fields[idx_RDX_CANTINVNUMLIN].AsFloat;
end;

procedure TRDX_CANTINVDataTableRules.SetNUMLINValue(const aValue: Float);
begin
  DataTable.Fields[idx_RDX_CANTINVNUMLIN].AsFloat := aValue;
end;

function TRDX_CANTINVDataTableRules.GetNUMCANTValue: Float;
begin
  result := DataTable.Fields[idx_RDX_CANTINVNUMCANT].AsFloat;
end;

procedure TRDX_CANTINVDataTableRules.SetNUMCANTValue(const aValue: Float);
begin
  DataTable.Fields[idx_RDX_CANTINVNUMCANT].AsFloat := aValue;
end;

function TRDX_CANTINVDataTableRules.GetTIPOCANTValue: String;
begin
  result := DataTable.Fields[idx_RDX_CANTINVTIPOCANT].AsString;
end;

procedure TRDX_CANTINVDataTableRules.SetTIPOCANTValue(const aValue: String);
begin
  DataTable.Fields[idx_RDX_CANTINVTIPOCANT].AsString := aValue;
end;

function TRDX_CANTINVDataTableRules.GetCANTIDADValue: Float;
begin
  result := DataTable.Fields[idx_RDX_CANTINVCANTIDAD].AsFloat;
end;

procedure TRDX_CANTINVDataTableRules.SetCANTIDADValue(const aValue: Float);
begin
  DataTable.Fields[idx_RDX_CANTINVCANTIDAD].AsFloat := aValue;
end;

function TRDX_CANTINVDataTableRules.GetCENTROValue: String;
begin
  result := DataTable.Fields[idx_RDX_CANTINVCENTRO].AsString;
end;

procedure TRDX_CANTINVDataTableRules.SetCENTROValue(const aValue: String);
begin
  DataTable.Fields[idx_RDX_CANTINVCENTRO].AsString := aValue;
end;

function TRDX_CANTINVDataTableRules.GetTMOVValue: String;
begin
  result := DataTable.Fields[idx_RDX_CANTINVTMOV].AsString;
end;

procedure TRDX_CANTINVDataTableRules.SetTMOVValue(const aValue: String);
begin
  DataTable.Fields[idx_RDX_CANTINVTMOV].AsString := aValue;
end;

function TRDX_CANTINVDataTableRules.GetFACTValue: String;
begin
  result := DataTable.Fields[idx_RDX_CANTINVFACT].AsString;
end;

procedure TRDX_CANTINVDataTableRules.SetFACTValue(const aValue: String);
begin
  DataTable.Fields[idx_RDX_CANTINVFACT].AsString := aValue;
end;

function TRDX_CANTINVDataTableRules.GetDEPTOValue: String;
begin
  result := DataTable.Fields[idx_RDX_CANTINVDEPTO].AsString;
end;

procedure TRDX_CANTINVDataTableRules.SetDEPTOValue(const aValue: String);
begin
  DataTable.Fields[idx_RDX_CANTINVDEPTO].AsString := aValue;
end;

function TRDX_CANTINVDataTableRules.GetIDVENValue: String;
begin
  result := DataTable.Fields[idx_RDX_CANTINVIDVEN].AsString;
end;

procedure TRDX_CANTINVDataTableRules.SetIDVENValue(const aValue: String);
begin
  DataTable.Fields[idx_RDX_CANTINVIDVEN].AsString := aValue;
end;


{ TRDX_LININVDataTableRules }
constructor TRDX_LININVDataTableRules.Create(aDataTable: TDADataTable);
begin
  inherited;
end;

destructor TRDX_LININVDataTableRules.Destroy;
begin
  inherited;
end;

function TRDX_LININVDataTableRules.GetNUMDOCValue: String;
begin
  result := DataTable.Fields[idx_RDX_LININVNUMDOC].AsString;
end;

procedure TRDX_LININVDataTableRules.SetNUMDOCValue(const aValue: String);
begin
  DataTable.Fields[idx_RDX_LININVNUMDOC].AsString := aValue;
end;

function TRDX_LININVDataTableRules.GetNUMLINValue: Float;
begin
  result := DataTable.Fields[idx_RDX_LININVNUMLIN].AsFloat;
end;

procedure TRDX_LININVDataTableRules.SetNUMLINValue(const aValue: Float);
begin
  DataTable.Fields[idx_RDX_LININVNUMLIN].AsFloat := aValue;
end;

function TRDX_LININVDataTableRules.GetCODARTValue: String;
begin
  result := DataTable.Fields[idx_RDX_LININVCODART].AsString;
end;

procedure TRDX_LININVDataTableRules.SetCODARTValue(const aValue: String);
begin
  DataTable.Fields[idx_RDX_LININVCODART].AsString := aValue;
end;

function TRDX_LININVDataTableRules.GetFAMILIAValue: String;
begin
  result := DataTable.Fields[idx_RDX_LININVFAMILIA].AsString;
end;

procedure TRDX_LININVDataTableRules.SetFAMILIAValue(const aValue: String);
begin
  DataTable.Fields[idx_RDX_LININVFAMILIA].AsString := aValue;
end;

function TRDX_LININVDataTableRules.GetBARRAValue: String;
begin
  result := DataTable.Fields[idx_RDX_LININVBARRA].AsString;
end;

procedure TRDX_LININVDataTableRules.SetBARRAValue(const aValue: String);
begin
  DataTable.Fields[idx_RDX_LININVBARRA].AsString := aValue;
end;

function TRDX_LININVDataTableRules.GetTALLAValue: String;
begin
  result := DataTable.Fields[idx_RDX_LININVTALLA].AsString;
end;

procedure TRDX_LININVDataTableRules.SetTALLAValue(const aValue: String);
begin
  DataTable.Fields[idx_RDX_LININVTALLA].AsString := aValue;
end;

function TRDX_LININVDataTableRules.GetMARCAValue: String;
begin
  result := DataTable.Fields[idx_RDX_LININVMARCA].AsString;
end;

procedure TRDX_LININVDataTableRules.SetMARCAValue(const aValue: String);
begin
  DataTable.Fields[idx_RDX_LININVMARCA].AsString := aValue;
end;

function TRDX_LININVDataTableRules.GetTAMANOValue: String;
begin
  result := DataTable.Fields[idx_RDX_LININVTAMANO].AsString;
end;

procedure TRDX_LININVDataTableRules.SetTAMANOValue(const aValue: String);
begin
  DataTable.Fields[idx_RDX_LININVTAMANO].AsString := aValue;
end;

function TRDX_LININVDataTableRules.GetSERIEValue: String;
begin
  result := DataTable.Fields[idx_RDX_LININVSERIE].AsString;
end;

procedure TRDX_LININVDataTableRules.SetSERIEValue(const aValue: String);
begin
  DataTable.Fields[idx_RDX_LININVSERIE].AsString := aValue;
end;

function TRDX_LININVDataTableRules.GetCOLORValue: String;
begin
  result := DataTable.Fields[idx_RDX_LININVCOLOR].AsString;
end;

procedure TRDX_LININVDataTableRules.SetCOLORValue(const aValue: String);
begin
  DataTable.Fields[idx_RDX_LININVCOLOR].AsString := aValue;
end;

function TRDX_LININVDataTableRules.GetMODELOValue: String;
begin
  result := DataTable.Fields[idx_RDX_LININVMODELO].AsString;
end;

procedure TRDX_LININVDataTableRules.SetMODELOValue(const aValue: String);
begin
  DataTable.Fields[idx_RDX_LININVMODELO].AsString := aValue;
end;

function TRDX_LININVDataTableRules.GetDIBUJOValue: String;
begin
  result := DataTable.Fields[idx_RDX_LININVDIBUJO].AsString;
end;

procedure TRDX_LININVDataTableRules.SetDIBUJOValue(const aValue: String);
begin
  DataTable.Fields[idx_RDX_LININVDIBUJO].AsString := aValue;
end;

function TRDX_LININVDataTableRules.GetDESCRIPValue: String;
begin
  result := DataTable.Fields[idx_RDX_LININVDESCRIP].AsString;
end;

procedure TRDX_LININVDataTableRules.SetDESCRIPValue(const aValue: String);
begin
  DataTable.Fields[idx_RDX_LININVDESCRIP].AsString := aValue;
end;


{ TRDX_CABINVDataTableRules }
constructor TRDX_CABINVDataTableRules.Create(aDataTable: TDADataTable);
begin
  inherited;
end;

destructor TRDX_CABINVDataTableRules.Destroy;
begin
  inherited;
end;

function TRDX_CABINVDataTableRules.GetNUMDOCValue: String;
begin
  result := DataTable.Fields[idx_RDX_CABINVNUMDOC].AsString;
end;

procedure TRDX_CABINVDataTableRules.SetNUMDOCValue(const aValue: String);
begin
  DataTable.Fields[idx_RDX_CABINVNUMDOC].AsString := aValue;
end;

function TRDX_CABINVDataTableRules.GetTIPODOCValue: String;
begin
  result := DataTable.Fields[idx_RDX_CABINVTIPODOC].AsString;
end;

procedure TRDX_CABINVDataTableRules.SetTIPODOCValue(const aValue: String);
begin
  DataTable.Fields[idx_RDX_CABINVTIPODOC].AsString := aValue;
end;

function TRDX_CABINVDataTableRules.GetTIPOLIQValue: String;
begin
  result := DataTable.Fields[idx_RDX_CABINVTIPOLIQ].AsString;
end;

procedure TRDX_CABINVDataTableRules.SetTIPOLIQValue(const aValue: String);
begin
  DataTable.Fields[idx_RDX_CABINVTIPOLIQ].AsString := aValue;
end;

function TRDX_CABINVDataTableRules.GetFECHAValue: DateTime;
begin
  result := DataTable.Fields[idx_RDX_CABINVFECHA].AsDateTime;
end;

procedure TRDX_CABINVDataTableRules.SetFECHAValue(const aValue: DateTime);
begin
  DataTable.Fields[idx_RDX_CABINVFECHA].AsDateTime := aValue;
end;

function TRDX_CABINVDataTableRules.GetFECHALIQValue: DateTime;
begin
  result := DataTable.Fields[idx_RDX_CABINVFECHALIQ].AsDateTime;
end;

procedure TRDX_CABINVDataTableRules.SetFECHALIQValue(const aValue: DateTime);
begin
  DataTable.Fields[idx_RDX_CABINVFECHALIQ].AsDateTime := aValue;
end;

function TRDX_CABINVDataTableRules.GetEMISORValue: String;
begin
  result := DataTable.Fields[idx_RDX_CABINVEMISOR].AsString;
end;

procedure TRDX_CABINVDataTableRules.SetEMISORValue(const aValue: String);
begin
  DataTable.Fields[idx_RDX_CABINVEMISOR].AsString := aValue;
end;

function TRDX_CABINVDataTableRules.GetRECEPTORValue: String;
begin
  result := DataTable.Fields[idx_RDX_CABINVRECEPTOR].AsString;
end;

procedure TRDX_CABINVDataTableRules.SetRECEPTORValue(const aValue: String);
begin
  DataTable.Fields[idx_RDX_CABINVRECEPTOR].AsString := aValue;
end;

function TRDX_CABINVDataTableRules.GetDPTOValue: String;
begin
  result := DataTable.Fields[idx_RDX_CABINVDPTO].AsString;
end;

procedure TRDX_CABINVDataTableRules.SetDPTOValue(const aValue: String);
begin
  DataTable.Fields[idx_RDX_CABINVDPTO].AsString := aValue;
end;

function TRDX_CABINVDataTableRules.GetCENTROValue: String;
begin
  result := DataTable.Fields[idx_RDX_CABINVCENTRO].AsString;
end;

procedure TRDX_CABINVDataTableRules.SetCENTROValue(const aValue: String);
begin
  DataTable.Fields[idx_RDX_CABINVCENTRO].AsString := aValue;
end;

function TRDX_CABINVDataTableRules.GetFECHA_CARGAValue: DateTime;
begin
  result := DataTable.Fields[idx_RDX_CABINVFECHA_CARGA].AsDateTime;
end;

procedure TRDX_CABINVDataTableRules.SetFECHA_CARGAValue(const aValue: DateTime);
begin
  DataTable.Fields[idx_RDX_CABINVFECHA_CARGA].AsDateTime := aValue;
end;


initialization
  RegisterDataTableRules(RID_RDX_CANTINV, TRDX_CANTINVDataTableRules);
  RegisterDataTableRules(RID_RDX_LININV, TRDX_LININVDataTableRules);
  RegisterDataTableRules(RID_RDX_CABINV, TRDX_CABINVDataTableRules);

end.
